versions history
--------------------------

        [+] new feature
        [*] improvement/modification or bug fix

Version 2.2.9 (July 20, 2004) - Major Release
 
    [+] Added Tools :: Clear Computer History. It removes all traces:
        typed URLs, URLs history, Run history, Favorities, Temporary files
        and etc

Version 2.2.1 (June 22, 2004) - Minor Release
 
    [+] Now it is possible to decrypt SFX modules from
        command line
    [*] E-mail encryption tool: german version works fine

Version 2.2.0 (June 6, 2004) - Minor Release
 
    [+] Added Tools :: Password Generator

Version 2.1.6 (May 16, 2004) - Minor Release
 
    [+] Added Options :: Sounds. Ability to play sound file after
        long operation

Version 2.1.5 (May 5, 2004) - Minor Release
 
    [+] Fully redesigned options dialog
       

Version 2.0.0 (March 17, 2004) - Minor Release
 
    [+] Added menu command File->Show Bits Distribution
    [+] Encrypt & Decrypt & Shred dialogs can be moved
        and activated by pressing program button on windows
        task bar when these operations are performed from 
        command line
    [+] Progress bars are calculated correctly on
        encrypting & decrypting files from command line
    [+] Only .aep files are processed on decryption
        (From command line)
    [+] All encrypted .aep files are excluded from encryption
        (From command line)
    [+] When files are encrypted & decrypted from command line
        and password is not specified, the password dialog
        has button on windows task bar now.
    [*] It is not required to type 'riddle' when you encrypt
        files from command line and do not specify password
    [*] All file names are shown correctly in decrypt dialog
        (called from command line)
        

Version 1.9.6 (February 18, 2004) - Minor Release
 
    [+] Added interface in Swedish language

Version 1.9.5 (January 12, 2004) - Minor Release
 
    [+] Added ability to check for existence of new version
    [+] Added German interface language

Version 1.9.4 (November 18, 2003) - Minor Release
 
    [*] Sometime the program was unable to open own 
        window. It shown "Browsing..." message.
        Has been fixed.

Version 1.9.3 (October 24, 2003) - Minor Release
 
    [+] Added command file / file properties (shows
        standard windows file properties dialog). This 
        command was added to context menu also.
    [+] Added submenu "Tools" into main menu. And added
        Tools / Command line prompt command.

Version 1.9.2 (August 31, 2003) - Bug fix
 
    [*] Files without extension are processed without
        errors (Being processed from command line)

Version 1.9.1 (July 27, 2003) - Major release
 
    [+] Added international languages interface support.
        Interfaces in some languages will be added soon.
    [*] On ZIPPING files, no error message (like please
        enter a password)
    [*] Progress dialog is disappeared when files wiped


Version 1.9.0 (May 29, 2003) - Major release
 
    [+] Encrypt / Decrypt / SFX progress dialogs
        are redrawn correctly during operation.
        Main program window is not frozen during
        encryption now.
    [*] On decryption, the decryption process is not
        aborted anymore on any decryption error. Other
        files are processed after error in one file
        

Version 1.8.7 (May 29, 2003) - Minor release
 
    [+] Added ability to copy/move/move & shred 
        selected files/folders to another location
        (Available from context menu)
        
Version 1.8.5 (March 12, 2003) - Major release
 
    [+] Added ability to encrypt/decrypt/zip/unzip
        files into another folder (not current)
    [+] Added Menu / File / Set Output Folder...
    [+] Added checkbox "Set Output Folder" to all
        page sheets (encrypt/decrypt/zip/unzip)
    [*] On encrypt/decrypt files from command line
        include & exclude file mask is extracted
        from command line. If these masks are absent,
        include mask will be *.* (all files)
        

Version 1.8.4 (February 13, 2003) - Minor release
 
    [*] Command line option "-exclude" works correctly

Version 1.8.3 (January 29, 2003) - Minor release
 
    [+] Added option Interface->Display File Size 
    (result window)

Version 1.8.2 (January 19, 2003) - Minor release
 
    [+] New XP style context menu (in internal browser)
    [*] Message "Please enter a password" is not 
        displayed on choosing commands from program
        menu

Version 1.8.1 (December 16, 2002) - Major Release
 
    [+] New Text Encryption Assistant

Version 1.8.0 (November 27, 2002) - Major release

    [+] Added ability to choose 17 encryption 
        algorithms to encrypt files using Windows 
        Explorer's context menu
    [+] Added ability to exlude some files from
        encryption by setting special file exclude
        masks (to encrypt files using Windows 
        Explorer's context menu)
    [+] Added Include & Exlude file masks to
        main program window
    [+] Added -"EXCLUDE" command line switch
    [+] Added history for include & exclude file 
        masks
    [+] Dialog "Encrypt/SFX" (being called from 
        Windows Explorer's context menu) is 
        skinnable now
    [+] Dialog "Decrypt" (being called from 
        Windows Explorer's context menu) is 
        skinnable now
    [+] Only encrypted files are processed by default
        in decrytion mode
    [*] Program was crashed on specifying file mask
        which returns no files. This error was
        appeared in ZIP compression mode. Fixed.
    [*] AEP was unable to encrypt files that have read only
        attribute. Fixed
    [*] AEP does not show confirmation windows on deleting
        files in the case if "YES TO ALL" switch is
        specified
    [*] Empty & not empty folders are removed as well as files 
        on choosing removing & shredding mode
    [*] Updated Help file
     
  

Version 1.7.5 (November 10, 2002) - Major release

    [+] Added ability to decrypt & unzip file by 
        single mouse click
    [*] 'Browse Zip' window is closed automatically
        on pressing 'Extract All' button
    [*] Folders are also removed as well as files
        on ZIP & Encrypt

Version 1.7.0 (October 23, 2002) - Major release

    [+] Added ability to ZIP & encrypt file(s) 
        simultaneously
    [*] Folder where encrypted file was decrypted
        by doubleclicking it is not collapsed
    [*] File(s) date are remaining for destination
        files by default


Version 1.6.0 (October 11, 2002) - Major release   
  
    [+] Added ability to apply nice skins (added 14
        standard skins)


Version 1.5.3 (September 23, 2002) - Minor release   

    [+] Added ability to remember last used encryption
        algorithm, destiny and compression flag

Version 1.5.2 (August 26, 2002) - Minor release   

    [+] Again added ability to resize main program's 
        window

Version 1.5.1 (June 26, 2002) - Minor release   

    [*] Fixed bug: the program caused error 
        "Invalid Page Fault" on double clicking .aep 
        files from Windows Explorer

Version 1.5.0 (June 19, 2002) - Major release   

    [+] Added option (Menu/Options/Interface) to ask
        default password on every program startup and
        use it for all crypto operations
    [*] Fixed bug: message "please enter a value between 0
        and 100" isn't appeared on going to menu->options.

Version 1.4.9 (June 3, 2002) - Minor release   

    [+] Updated program's documentation

Version 1.4.8 (May 15, 2002) - Minor release   

    [*] Options / Interface / Clean password after encryption
        works fine

Version 1.4.7 (May 10, 2002) - Major release   

    [+] Couple of interface changes

Version 1.4.6 (April 18, 2002) - Major release   
    
    [+] Added ability to clear password fields after
        encryption (Options -> Interface -> Clear password
        and comfirmation text after encryption)
    [+] Added ability to show password which is entered to 
        password field (Options -> Interface -> Show password
        and confirmation text (do not mask it) )

Version 1.4.5 (April 7, 2002) - Major release   
    
    [+] Added command "Send files via e-mail" to send
        choosen encrypted/unecnrypted files using local
        e-mail client

Version 1.4.4 (March 29, 2002) - Minor release   
    
    [+] Dialog "Decrypt Text" was redesigned completely. 
        Now the dialog has skinnable style and it is 
        displayed using current skin.

Version 1.4.3 (March 19, 2002) - Minor release   
    
    [+] Dialog "Encrypt Text" was redesigned. Now the
        dialog has skinnable style

Version 1.4.2 (March 7, 2002) - Minor release   
    
    [+] Some minor interface changes

Version 1.4.1 (February 13, 2002) - Major release   
    
    [+] Added options sheet Options->SFX. Now it is 
        possible to replace text comments in SFX
        modules to yours

Version 1.4.0 (January 25, 2002) - Minor release
    
    [*] Changed tab order in password fields

Version 1.3.9 (January 11, 2002)
    
    [+] Function "Encrypt Text" splits encrypted text
        into lines with length of 60 characters each line
    [+] Function "Decrypt Text" can decrypt whole email 
        text (it is possible to copy whole encrypted email 
        text into clipboard. Function will recognize
        encrypted block automatically)
    [+] Dialogs for functions encrypting text were 
        redesigned


Version 1.3.8 (December 25, 2001)

    [+] Added ability to edit email message before 
        sending it (on "file->encrypt and send via
        email" and "file->make selfextractors and 
        send via email")
    [+] Added functions "Encode Text" and "Decode Text".
        They are used to send messages via internet safely 
        with using programs like Outlook Express, The Bat,
        Eudora, ICQ and etc. I.e. added ability to send
        encrypted text messages.
    

Version 1.3.7 (December 3, 2001)

    [+] Added option "Keep origonal files date"

Version 1.3.6 (20 November 2001)

    [+] Added several new encryption algorithms, like 
        Rijndael256(AES), CAST256...
    [*] Empty lines are not inserted into log window
        on decrypting files

Version 1.3.5 (1 November 2001)
	
    [+] Added ability to send encrypted files and en-
        crypted selfextractors via email (after encrypting)
	
    [+] On decrypting files, program asks user:
        "Destination files are existing on your media. Do
        you want to overwrite it: YES, YES2ALL, NO, 
	    NO2ALL". If decrypted file exists already
	
    [*] Fixed bug: when -YES2ALL command line argument is
        specified, and files are decrypted, all existing
        not encrypted files will be overwritten automati-
        cally

Version 1.3.4 (16 October 2001)
	
    [*] Fixed bug: Password fields are not cleared anymore 
        after encryption
	
Version 1.3.3 (27 September 2001)
	
    [+] Added command switch -QUIET 
    [+] Added command line switch -YESTOALL

Version 1.3.2 (10 September 2001)
	
    [+] Added complete ability to work with folders inside
        Windows Explorer window. It means that it is now
        possible to work with files recursively. I.e.
        encrypt/decrypt/etc files in folders by making
        selection of folders in WinExplorer
    [+] Added command line command ENCRYPT to encrypt files
    [+] Added command line command DECRYPT to decrypt files
    [+] Added command line command SHRED to shred specifies
        files
    [+] Added comand line switch -RECURSE
    [+] Added command line switch -ALG to chose algorithm
    [+] Added command line switch -DESTINY to chose destiny of
        source files: SHRED, DELETE or LEAVE IT ALONE
    [+] Added command line switch -RIDDLE to specify riddle for
        encrypted document
    [+] Added command line switch -NOCOMPRESS to disable packing
        files during encryption
    [+] Added ability to specify file mask using wildcards like *.*,
        *.doc, etc. To encrypt/decrypt/etc files
    [+] Improved encryption progress dialog. Added more information
        about encryption process - all progress, current file name,
        etc
    [+] Added information about speed (kbytes/sec) to progress
        window.

Version 1.3.1 (9 August 2001)
	
	[+] Added ability to maximize program window's workspace
	[+] Added ability to change program window's layout dynamically
	    using mouse. (Changing window's size: width, height, etc)
	
Version 1.3.0 (15 June 2001)
	
	[+] Added ability to work with .ZIP archives (Add, Browse, Extract)
	[!] Main program's window is optimized for 800x600 resolution
	[!] Now www.codingtools.com is official site of AEP2001


Version 1.21 (10 May 2001)
	
	[!] Explorer context menu now works
	[!] Help contents icon in program menu is corrected
	[!] All internal .OCX files are registered correctly. Thus
	    program now starts correctly on all Windows machines
	

Version 1.20 (1 May 2001)
	
	[+] Some small fixes
	[!] Program has changed its name to AEP2001

Version 1.18 (20 December 2000)
	
	[+] Added ability to execute files directly
	    from program's browser window
	[*] Some small interface changes

Version 1.17 Christmass (7 December 2000)

	[+] Added christmass skin

Version 1.17 (25 November 2000)

	[+] Added ability to dump used passwords to the
	    text file. Instead of trying to remember a lot
	    of passwords for different documents - the idea
	    is the the programme keeps track of various
	    passwords and dumps them every time a password
	    is entered in one single txt file. Options | Files
	[+] Now, every new version of GUIDESX will reset days 
	    and executions counter in unregistered mode with
	    every new version

Version 1.16 (2 November 2000)

        [+] New skin Windows95_2. It is standard skin now
	[+] Added ability to encrypt files from Explorer
	    context menu
	[+] Added ability to decrypt files from Explorer
	    context menu
	[+] Added ability to shred files from Explorer
	    context menu
	[+] Added ability to make .exe files from Explorer
	    context menu
	[+] New registration dialog

Version 1.15F (October 3, 2000)

	[+] Minor interface changes 
 	[*] Fixed big truble with shredding files in an unregistered version 
	[*] Some other fixes (Standard skin etc) 

Version 1.15 (September 10, 2000)

	[+] Skins support! (+9 New skins) 
	[*] Only english language is supported in this version. 
	[*] Now only in the unregistered version it is possible 
	    to shred files (not larger than 40kb) 
	[*] Now only in the unregistered version it is possible 
	    to make .exe files (not larger than 40kb) 


Version 1.14

	[+] Compressed and image files (.zip, .rar, .cab, .z, .arc, 
	    .pal, .lzw, .arj, .jpg, .gif, .png) are recognized and not 
 	    compressed, even if user checked a box "Compress" 
	[+] if floppy/zip/hard drive is write protected, GUIDESX shows error 
	    message 
	[+] Now GUIDESX works significally faster with encrypting/decrypting 
	    files on floppy drive, because all temporary files are created and 
	    shredded in Windows temporary directory.  
	[*] All program's messages spell checked up
	[*] In the previous versions, progress window stayed on the top of the 
	    program window, if error caused during encryption. Now this window 
	    is not stayed 
	[*] Not all files were deleted if error has been caused during deleting. 
	[*] Progress windows was on the top of program. These bugs have been fixed. 
	[*] Error message appears in the status window 
	[*] If user tried to shred some files of locked floppy drive, GUIDESX was 
	    saying "ok", but these files were not shredded. Now, error message 
	    appears in the status window. 
	[*] GUIDESX can work with long paths (more than 128 chars) 
	[*] When user tried to decrypt single file and entered "empty" password, 
	    program crashed. This bug fixed 
	[*] Now GUIDESX can delete empty folders. It asks "No Files in selected 
	    folders. Do you want delete all selected folders?" 
	[*] GUIDESX doesn't crash under Win2000 when user call pop-up window. 
	[*] When program starts, balloon ToolTips doesn't overdraft buttons 


Version 1.13

	[+] Text strings are splitted in the status window 
	[*] File mask works fine
	[*] Balloon hints are shown correctly


Version 1.11

	[+] added option - Menu | Options | Shred | Zap file name / Number of passes 
	[+] any file name can be zapped during shredding 
	[+] absolutely new registration system based on 1024bit RSA keys.


Version 1.10

	[+] New super shredding system 
	[+] Menu | Options | Shred - a lots of new options for shredding system 
	[+] After registration, menu items Help->How to register, Help->Register 
	    Now are removed. To Program's title '-registered' string is added 
	[+] added progress bar on decryption of single file (even in Explorer). 
	[+] on dblclicking single encrypted file, file is decrypted and *CAN* 
	    be deleted, or shredded, i.e. it is sensitive to 'destiny of source file' 
	[+] Program window's size optimized for resolution 640x480 
	[+] New help file is included 
	[+] Added option "Show bubble help" 
	[+] DESX alg. has been improved 
	[+] Blowfish alg has been improved 
	[+] Added option "After encryption, mark .blow & .desx as Hidden" 
	[+] All icons have been changed 
	[+] New Nice Pop-Up menu!! 
	[*] all references "Destroyed" or "Demolited" were changed to "shredded" 
	[*] intermediate .lzw files are shredded 
	[*] Pop-Up hint shows hint for Blowfish448 alg on password field, not desx 
	[*] Font for pop-up hints is enlarged 
	[*] In decryption mode, password doesn't stays after decryption. If single 
	    file is selected, password is copied to password dialog 
	[*] No error message on dblclicking folder in browse window

 

Version 1.06

	[+] 'Minimize' button 
	[+] All encrypted files .desx and .blow are associated with GUIDESX now. 
	    These files have icons and can be decrypted directly from Microsoft 
	    Explorer 
	[+] Decrypted files can be decrypted from program's browser window. 
	    You need only doubleclicking on encrypted file 
	[+] Several new icons 
	[+] GUIDESX warns you, if you've entered too long password for selected 
	    encryption algorithm. Maximal length of password for DESX 128 bit 
	    is 16 symbols and for Blowfish 448 is 56 symbols. 
	[+] New 'options' window at Menu | Options 
	[+] Option: "Show hidden and system files or not" 
	[+] Password is cleared after encrypting or decrypting for better security 
	[+] GUIDESX show error mess. if you forgotten to enter password. 
	[+] GO button is default button now 
	[+] Added series of keyboard's commands: Alt-E - encryption, Alt-D - 
	    decryption, Alt-X - making .exe, Alt-P - change password, Alt-C - 
	    change confirmation, Alt-R - change riddle, Alt-S - compress or not, 
	    Alt-L change file mask, Alt-G - GO, Alt-T delete file, Alt-O Destroy file. 
	[+] Improved interface 
	[+] Added StatusBar String instead of previous "Encryption settings". 
	[+] PopUp Hint's color has been changed to yellow 
	[+] Added dynamically changing PopUp hints for Password & Confirmation fields. 
	[+] These popUp hints are changed when user selects DESX or Blowfish alg. 
	[+] It doesn't require to uninstall previous version to Install 
	    current version. All old files are overwritten during installation 
	[+] After installation, Program Group is opened in explorer 
	[*] Progress window was stayed on the top, when user tried to decrypt file 
	    and pressed "Cancel' button, when decrypted file is already existing . 
	[*] DESX 128 Bit algorithm was improved. WARNING! Old .desx encrypted files 
	    not compatible with new version of GUIDESX! 
	[*] Self-extracting encrypted modules (.exe) show error "Your password is 
	    incorrect" instead of "BAD CRC" 
	[*] Language Dialog has been moved to "Options" dialog  


Version 1.05

	[+] Nice balloon tooltips for all buttons 
	[+] New several icons for buttons 
	[+] File Mask field has been transformed to Combo Box. 
 	[*] Program's window has been optimized for 640x480 screen resolution 
	[*] Radio buttons' blinking has been removed 

Version 1.04

	[+] New "My Documents" button 
	[+] New "Desktop" button 
	[+] New File Mask field. It allows to encrypt/delete/destroy/calculate_space 
	    only specified files, for example, it is possible to delete/wipe/encrypt 
	    only *.txt files from selected folders. 
	[+] Proram goes to last used folder every session 
	[+] Improved interface 
 
Version 1.03

	[+] New powerful crypto engine added - Blowfish 448 bit 
	[+] Ability to encrypt documents by DESX128/Blowfish448 
	[+] Ability to create self-extracting modules DESX/Blowfish 
	[+] Ability to get riddle from .exe modules (added additional button
	    "get riddle" for each .exe mod.). 
	[+] More pleasant interface (changed encrypt/decrypt/make exe. buttons) 
	[+] Added Dutch language 
	[+] Added German language 
	[+] More fast work on all operations (removed all delays that appeared
	    after each busy dialog) 
	[+] New installer used (Inno setup (freeware) instead of GkSetup (licensed))
	[+] So, you can encrypt any file to self-extracting .exe file. 
	[*] Fixed memory leaks that appears sometimes during progress window

Version 1.02

	[+] Ability to make self-decrypting .exe modules! 

Version 1.01

	[+] Ability to encrypt several files/folders! Now you can select 
	    several files, click on GO button and go sleep! 
	[+] Ability to delete/wipe several files/folders by one click! 
	[+] Ability to know occupied space of selected files/folders by one click! 
 	[*] Now you can use several strings in the riddle 
 
Version 1.00 (1 October, 1999)

	New program for encryption released. 